Subject: Underscores vs hyphens in FITS column names

From: cgp%ltvad.dnet at star-gw.rl.ac.uk (Clive Page, Leicester University, UK)
Date: Mon, 2 Aug 1993 12:31:42 +0100

I'd like to support the recent posting by Bill Pence recommending that
underscores be used in place of hyphens in FITS keyword names where 
possible.  Apart from the reasons cited, the problems of parsing an
expression involving FITS keyword names should be considered; one might
want to do this when using utilities such as FTOOLS to compute a new
column or select a given set of rows.  In such cases the selection
expression might include FITS keyword names as "variable names".  If
some of these names contain hyphens (which are just like minus signs)
parsing the expression is much harder, which means the syntax rules
forced on the user are bound to be more complex. 

We are, of course, stuck with some names like DATE-OBS for historical
reasons, but in my view it would be better to avoid creating new names
like this in future. 

I also support the other recent postings concerning min and max table 
column keywords, and standard keywords for RA, DEC, and reference 
frames.